## org.eclipse.emf.query.conditions.numbers
Class NumberCondition.LongValue

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.DataTypeCondition<N>
              org.eclipse.emf.query.conditions.numbers.NumberCondition<Long>
                  org.eclipse.emf.query.conditions.numbers.NumberCondition.LongValue

Enclosing class:
  NumberCondition<N extends Number & Comparable<? super N>>

    public static class NumberCondition.LongValue

extends NumberCondition<Long>

A subclass of `NumberCondition` to be used to test for long values Clients can either use the default implementation supplied or have their own.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.query.conditions.numbers.NumberCondition
`NumberCondition.ByteValue, NumberCondition.DoubleValue, NumberCondition.FloatValue, NumberCondition.IntegerValue, NumberCondition.LongValue, NumberCondition.RelationalOperator, NumberCondition.ShortValue`

Field Summary

Fields inherited from class org.eclipse.emf.query.conditions.numbers.NumberCondition
`BETWEEN, EQUAL_TO, GREATER_THAN, GREATER_THAN_OR_EQUAL_TO, LESS_THAN, LESS_THAN_OR_EQUAL_TO, lowerBound, lowerInclusive, NOT_EQUAL_TO, operator, upperBound, upperInclusive`

Fields inherited from class org.eclipse.emf.query.conditions.DataTypeCondition
`adapter, value`

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`NumberCondition.LongValue(Long number)` A simple constructor, it takes only one Long argument which means in its evaluation the values passed to it must be equal to this Long value passed.
`NumberCondition.LongValue(Long lowerBound, Long upperBound)` A constructor, it takes two `Long` arguments, a lowerBound and an upperBound, which means in its evaluation the values passed to it must be equal to any these two `Long` values passed or fall in between.
`NumberCondition.LongValue(Long lowerBound, Long upperBound, NumberAdapter.LongAdapter adapter)` A constructor, besides the `NumberAdapter.LongAdapter`, it also takes two `Long` arguments, a lowerBound and an upperBound, which means in its evaluation the values passed to it must be equal to any these two `Long` values passed or fall in between.
`NumberCondition.LongValue(Long number, NumberAdapter.LongAdapter adapter)` A simple constructor, it takes only one `Long` argument which means in its evaluation the values passed to it must be equal to this `Long` value passed.

Method Summary
`boolean` `isSatisfied(Object object)` This operation is the evaluation operation of this `Condition` in regard to the argument Object.

Methods inherited from class org.eclipse.emf.query.conditions.numbers.NumberCondition
`between, between, equals, greaterThan, greaterThanOrEquals, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, lessThan, lessThanOrEquals, notEquals`

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberCondition.LongValue

    public NumberCondition.LongValue(Long number)

  A simple constructor, it takes only one Long argument which means in its evaluation the values passed to it must be equal to this Long value passed. It defaults to using the NumberAdapter.LongAdapter.DEFAULT for adapting the objects being evaluated to a long value.

  Parameters:
    `number` - the `Long` object to use for equality testing

### NumberCondition.LongValue

    public NumberCondition.LongValue(Long number,
                                     NumberAdapter.LongAdapter adapter)

  A simple constructor, it takes only one `Long` argument which means in its evaluation the values passed to it must be equal to this `Long` value passed.

  Parameters:
    `number` - the `Long` object to use for equality testing
    `adapter` - the `NumberAdapter.LongAdapter` to use to extract long values from objects being evaluated.

### NumberCondition.LongValue

    public NumberCondition.LongValue(Long lowerBound,
                                     Long upperBound)

  A constructor, it takes two `Long` arguments, a lowerBound and an upperBound, which means in its evaluation the values passed to it must be equal to any these two `Long` values passed or fall in between. It defaults to using the NumberAdapter.LongAdapter.DEFAULT for adapting the objects being evaluated to a long value.

  Parameters:
    `lowerBound` - the `Long` value representing the lower-bound in range testing
    `upperBound` - the `Long` value representing the upper-bound in range testing

### NumberCondition.LongValue

    public NumberCondition.LongValue(Long lowerBound,
                                     Long upperBound,
                                     NumberAdapter.LongAdapter adapter)

  A constructor, besides the `NumberAdapter.LongAdapter`, it also takes two `Long` arguments, a lowerBound and an upperBound, which means in its evaluation the values passed to it must be equal to any these two `Long` values passed or fall in between.

  Parameters:
    `lowerBound` - the `Long` value representing the lower-bound in range testing
    `upperBound` - the `Long` value representing the upper-bound in range testing
    `adapter` - the `NumberAdapter.LongAdapter` to use to extract long values from objects being evaluated.

Method Detail

### isSatisfied

    public boolean isSatisfied(Object object)

  Description copied from class: `Condition`
  This operation is the evaluation operation of this `Condition` in regard to the argument Object. In other words, the operation answers whether the argument Object satisfied this `Condition` or not.

  Overrides:
    `isSatisfied` in class `NumberCondition<Long>`
  Parameters:
    `object` - an Object to check if it satisfies this `Condition`
  Returns:
    `true` if the argument Object satisfies this `Condition`,`false` otherwise.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.